window.Gleam.initSearch([{"doc":"glemtext","title":"glemtext","content":"# glemtext\nA small library for parsing Gemini&#39;s gemtext.\n\n[![Package Version](https://img.shields.io/hexpm/v/glemtext)](https://hex.pm/packages/glemtext)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glemtext/)\n\n```sh\ngleam add glemtext\n```\n```gleam\nimport gleam/io\nimport glemtext\n\npub fn main() {\n  let body = &quot;# My site\nthis is my site! thank you for visiting\n\n=&gt; /about     About me\n=&gt; /projects  Projects\n=&gt; https://en.wikipedia.org/ Wikipedia&quot;\n\n  body\n  |&gt; glemtext.parse\n  |&gt; io.debug\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glemtext&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"glemtext","title":"Document","content":"pub type Document =\n  List(GemElement)\n A `Document` is a list of Gemtext elements. As Gemtext &quot;elements&quot;\n are not nested, there is no need for a nested structure here, either.\n\n As such, `Document` is a type alias to `List(GemElement)`\n\nSynonyms:\nglemtext.Document\nglemtext Document","url":"glemtext.html#Document"},{"doc":"glemtext","title":"GemElement","content":"pub type GemElement {\n  Text(String)\n  Link(to: String, label: Option(String))\n  Heading(level: Int, text: String)\n  ListItem(String)\n  Blockquote(String)\n  Preformatted(alt: Option(String), text: String)\n}\n `GemElement` is an element, or possible line type for Gemtext.\nText(String)\n `Text` is any text that doesn&#39;t have specific syntax for creating\n an element. Note that empty lines are `Text(&quot;&quot;)`\n\nLink(to: String, label: Option(String))\n A link to another document, both Gemini and non-Gemini,\n and optionally, a label.\n\nHeading(level: Int, text: String)\n\n\nListItem(String)\n\n\nBlockquote(String)\n\n\nPreformatted(alt: Option(String), text: String)\n\n\nSynonyms:\nglemtext.GemElement\nglemtext GemElement","url":"glemtext.html#GemElement"},{"doc":"glemtext","title":"parse","content":"pub fn parse(text: String) -&gt; List(GemElement)\n `parse` parses a string into a Gemtext Document.\n It will always return a valid document, and does not panic.\nSynonyms:\nglemtext.parse\nglemtext parse","url":"glemtext.html#parse"},{"doc":"glemtext","title":"glemtext","content":"","url":"glemtext.html"}]);